using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Vector
{
    Point start;
    Point end;
    public Vector3 direction;

    public Vector(Point s, Point e)
    {
        start = s;
        end = e;
        direction = new Vector3(e.x - s.x, e.y - s.y, e.z - s.z).normalized;
    }

    public void updateDirection()
    {
        direction = new Vector3(end.x - start.x, end.y - start.y, end.z - start.z).normalized;
    }
}
